/// <reference types="react" />
import { InputProps } from "@mui/joy";
export interface NerdCurrencyFieldProps {
    value?: number | "-";
    onChange?: (value: number | undefined) => void;
    inputProps?: InputProps;
    currencySymbol?: string;
    decimalCharacter?: string;
    digitGroupSeparator?: string;
    multiplier?: number;
    signed?: boolean;
    padFractionalZeros?: boolean;
    normalizeZeros?: boolean;
    min?: number;
    max?: number;
    maxDigitAfterDecimal?: number;
}
/**
 *
 * @param {NerdCurrencyFieldProps} props Component props
 * @returns {ReactElement} NerdCurrencyField
 */
declare const _default: import("react").ForwardRefExoticComponent<NerdCurrencyFieldProps & import("react").RefAttributes<HTMLInputElement>>;
export default _default;
