import { DateTime } from "luxon";
import { ReactElement } from "react";
import { NerdDatePickerProps } from "../nerdDatePicker/nerdDatePicker";
import { NerdTimePickerProps } from "../nerdTimePicker/nerdTimePicker";
export interface NerdDateTimePickerProps {
    nerdDatePickerProps?: Partial<NerdDatePickerProps>;
    nerdTimePickerProps?: Partial<NerdTimePickerProps>;
    value: DateTime | null;
    onChange: (date: DateTime | null) => void;
}
/**
 * Nerd dateTime picker.
 *
 * @param {NerdDateTimePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
export default function NerdDateTimePicker(props: NerdDateTimePickerProps): ReactElement;
