import { createSelector, createSlice } from "@reduxjs/toolkit";
const nerdAdvancedSearchInitialState = {
    selectedPresets: [],
};
export const nerdAdvancedSearch = createSlice({
    name: "nerdAdvancedSearch",
    initialState: nerdAdvancedSearchInitialState,
    reducers: {
        setSelectedPresets: (state, action) => {
            state.selectedPresets = action.payload;
            return state;
        },
    },
});
export const { setSelectedPresets } = nerdAdvancedSearch.actions;
export const nerdAdvancedSearchReducer = nerdAdvancedSearch.reducer;
const selectNerdAdvancedSearchSelectedPresets = (state) => state.nerdUIState.nerdAdvancedSearch.selectedPresets;
export const nerdAdvancedSearchSelectedPresetsSelector = createSelector([selectNerdAdvancedSearchSelectedPresets], (s) => {
    return s;
});
