import { ReactElement } from "react";
export type History = {
    date: number;
    endpoint: string;
    label: string;
    subtitle: string;
    appID: number;
    pinned: boolean;
};
export interface NerdHistoryProps {
    historyKey: string;
    cookieDomain: string;
    openKey: string;
    anchor?: "left" | "right";
    pathesToIgnore?: RegExp[];
    appID: number;
    apps: Array<{
        id: number;
        icon?: string;
        color?: string;
        name?: string;
    }>;
}
/**
 *
 * @param {NerdHistoryProps} props Props
 * @returns {ReactElement} NerdHistory
 */
export declare function NerdHistory(props: NerdHistoryProps): ReactElement;
