import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { NonIntrusive } from "./components/nonIntrusive";
import { Intrusive } from "./components/intrusive";
import { clearNotification, nerdNotifierNotificationSelector } from "../redux";
import { useSelector } from "react-redux";
import { useDispatch } from "react-redux";
const NerdNotifier = (props) => {
    const dispatch = useDispatch();
    const { onClose, children } = props;
    const notification = useSelector(nerdNotifierNotificationSelector);
    const handleClose = () => {
        dispatch(clearNotification());
        onClose?.();
    };
    return (_jsxs(_Fragment, { children: [children, notification ? (notification?.variant === "non-intrusive" ||
                notification?.variant === undefined ? (_jsx(NonIntrusive, { hideReportButton: props.hideReportButton, handleClose: handleClose })) : (_jsx(Intrusive, { handleClose: handleClose }))) : null] }));
};
export default NerdNotifier;
