import { combineReducers } from "@reduxjs/toolkit";
import { nerdFeedbackReducer } from "./nerdFeedback";
import { notificationReducer } from "./notification";
import { nerdAdvancedSearchReducer } from "./nerdAdvancedSearch";
import { nerdHistoryReducer } from "./nerdHistory";
import { nerdDraggableDialogReducer } from "./nerdDraggableDialog";
export const nerdUIReducer = combineReducers({
    nerdNotifier: notificationReducer,
    nerdFeedback: nerdFeedbackReducer,
    nerdAdvancedSearch: nerdAdvancedSearchReducer,
    nerdHistory: nerdHistoryReducer,
    nerdDraggableDialog: nerdDraggableDialogReducer,
});
